local bgColr = LocalBlueColor(0.1)

local t = Def.ActorFrame {
	Def.Quad {
		InitCommand=function(self)
			self:FullScreen():fadetop(0.7):diffuse(bgColr)
		end
	},
	
	LoadActor(THEME:GetPathB("_common", "halftone")) .. {
		Name = "pattern",
		OnCommand=function(self)
			self:Center():zoomto(_screen.h,_screen.w):customtexturerect(0,0,_screen.h/1024,_screen.w/1024):texcoordvelocity(0.01,0):
				diffuse(color("0,0," .. bgColr[3] .. ",1")):blend(Blend.Add):rotationz(90)
		end
	},
	LoadActor(THEME:GetPathB("_common", "halftone")) .. {
		Name = "pattern",
		OnCommand=function(self)
			self:Center():zoomto(_screen.h,_screen.w):customtexturerect(0,0,_screen.h/1024,_screen.w/1024):texcoordvelocity(0.01,0):
				diffuse(color("0," .. bgColr[2] .. ",0,1")):blend(Blend.Add):rotationz(-90)
		end
	},
}

return t
